Bug 1024816 - fedpkg: Use Python 3 instead of Python 2
fedpkg: Use Python 3 instead of Python 2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fedpkg (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: cqi
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 1024819 1024823
Blocks: PY3PACKAGER PYTHON3
  Show dependency treegraph
 
Reported: 2013-10-30 09:28 EDT by Miro Hrončok
Modified: 2018-05-17 01:58 EDT (History)
9 users (show)

See Also:
Fixed In Version: fedpkg-1.33-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-17 01:58:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-10-30 09:28:04 EDT
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

https://fedoraproject.org/wiki/Changes/Python_3_as_Default

While this package is not in minimal buildroot, it belongs to fedora-packager stack. We would like to switch to Python 3 there as well.

The goal here is, that for F22 you should use Python 3 instead of Python 2 in this package.

Please, help us update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add the support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, say so and we can solve the problem together.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3#fedora-packager

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)
Comment 1 Jaroslav Reznik 2015-03-03 10:10:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Rex Dieter 2016-03-19 21:44:26 EDT
marking futurefeature
Comment 4 Miro Hrončok 2018-04-11 06:15:47 EDT
cqi, let me know if I can help by creating a spec update for this.
Comment 5 cqi 2018-04-11 07:29:33 EDT
Hi Miro, it is really appreciated if you can help to patch the spec for Python 3 package. I'm going to release a fedpkg Python 3 package for next version as well. 

There is one thing that has to be considered, that is which package, python2-fedpkg or python3-fedpkg, should provide the capability fedpkg? Do you have any idea?

fedpkg will only be built in Fedora and EPEL.
Comment 6 Miro Hrončok 2018-04-11 07:39:49 EDT
fedpkg command shall be provided by python3 package on fedora. the version used on epels is not guidelined. I'll prep something via a PR.

Note You need to log in before you can comment on or make changes to this bug.